<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('devices', function (Blueprint $table) {
            $table->id();
            $table->string('serial_number')->unique();
            $table->string('device_type');
            $table->string('model_name')->nullable();
            $table->string('sim_card_no')->nullable();
            $table->string('imei')->unique();

            $table->enum('status', [
                'store_stock',
                'pending',
                'sales_stock',
                'leased',
                'border_stock'
            ])->default('store_stock');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('devices');
    }
};
